# 新项目 代号：好大儿（Great Son）——库存监控管理系统 架构设计

# 项目缘起：

关于项目代号叫“好大儿”是因为经常记不得自己东西在哪里，还有多少，导致老母亲一直要亲自下场给我找，包括老父亲和我两人对于电子产品的整理也经常忘记库存的各类充电线数量和位置，因此想开发这么一套库存系统，可以分析一些流动不频繁但是对数量和位置敏感的物资，比如调味料存量，各类衣物统计，各类电子线材统计等等，因为要在家庭中使用需要照顾到易用性，因此计划采用手持终端比如手机录入，服务端自动处理的方法，而 AI 功能加入可以进一步降低使用门槛（比如通过拍照识别常用物品，并自动录入等）

# 项目概述：

- 一种基于手工录入+人工智能（主要为图像识别）录入的库存管理系统
- （暂定）后端基于Java+Python 开发，采用服务端+客户端分离的设计架构，服务器采用数据库进行数据处理和存储，客户端只执行录入职能（降低客户端性能需求开销），同时客户端自带缓存，仅不定时与服务器进行数据比对，发生变动才进行更新，减少网络资源开销
- 本系统特点在于人工智能在于数据录入环节和云端数据分析环节的运用（图像识别+自然语言检索整理），如拍照识别库存物品并录入，拍照查询物品调用记录，自动识别商品小票并录入等
- 计划采用模块化设计，可以随时在核心系统上增加各类功能满足不同需求

# 项目架构：

## 服务端：

- 基于数据库的连接和存取模块
- 用于进行客户端通信的网络数据模块
- 数据的分析处理和归档模块
- Web 管理界面模块

## 客户端：

- 用于进行服务端通信的网络数据模块
- 数据录入模块
- 本地数据缓存模块
- 不依赖远端服务器的单机模式（计划）